#ifndef CPPUT_EXAMPLES_EXAMPLECOMMON_H_INCLUDED
# define CPPUT_EXAMPLES_EXAMPLECOMMON_H_INCLUDED

#include <cpput/testing.h>
#include <cpput/lighttestrunner.h>
#include <cpput/assertcommon.h>
#include <cpput/testing.h>

inline int runExampleTests( int argc, 
                            const char *argv[] )
{
   CppUT::LightTestRunner runner;
   runner.addSuite( CppUT::Registry::getRootSuite() );
   bool sucessful = runner.runTests();
   return sucessful ? 0 : 1;
}


#endif // CPPUT_EXAMPLES_EXAMPLECOMMON_H_INCLUDED
